# A large-scale study of the impact of node behavior on loosely coupled data dissemination: The case of the Distributed Arctic Observatory

### Requirements
- [Boost](https://www.boost.org/) dev libs must be available on the system (required by SimGrid)
- From the project root folder:
> cd ./libs && ./setup.sh && cd -
> make
- This should (please monitor the console for potential missing dependencies) install SimGrid and RapidJSON. If the `simulator` and `scenarios` executables are available, then everything is ready to launch experiments.

### Simulations from the paper
- To run a particular experiment, use one of the `run_*.sh` scripts
- For each scripts, results are generated in the `results/` folder

### Notes
- The `inputs.json` file controls the inputs to the simulator. This file can be generated with the `scenarios` executable.
- To run a simulation using your own `inputs.json` just use `> make run`
This will also generate a file called `platform.xml` corresponding to the platform simulated in SimGrid and results will be printed in stderr.
- To generate a *csv* output from the simulation results you can use the awk parser in the following way:
 > make run 2>&1|./parser.awk
- The dataset containing the results used in the paper can be downloaded [here](https://data.lguegan.com/Repeatability/Datasets/DAO_LargeScaleDD.tar.gz)
